ServiceArtifactHandler (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ServiceArtifactHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.ArtifactHandlerAdapter
          org.codehaus.griffon.runtime.core.ServiceArtifactHandler

    public class ServiceArtifactHandler
    extends ArtifactHandlerAdapter

Handler for 'Service' artifacts.

Authors:
  Andres Almiray

Since:
  0.9.1

Nested Class Summary
`private class` | `ServiceArtifactHandler.DefaultServiceManager`

Field Summary
`private static org.slf4j.Logger` | `LOG`
`private ServiceManager` | `serviceManager`

Fields inherited from class ArtifactHandlerAdapter
app, artifacts, classes, classesByName, trailing, type

Constructor Summary
`ServiceArtifactHandler()`

Method Summary
`def` | `ServiceArtifactHandler(GriffonApplication app)`
`void` | `initialize(ArtifactInfo[] artifacts)`
`private boolean` | `isBasicInjectionDisabled()`
`private boolean` | `isEagerInstantiationEnabled()`
`protected GriffonClass` | `newGriffonClassInstance(Class clazz)`
`void` | `onNewInstance(Class klass, String t, Object instance)` Application event listener.

Methods inherited from class ArtifactHandlerAdapter
findClassFor, getApp, getArtifacts, getClassFor, getClassFor, getClasses, getClassesByName, getTrailing, getType, initialize, isArtifact, isArtifact, newGriffonClassInstance

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

### serviceManager

    private final ServiceManager serviceManager

Constructor Detail

### ServiceArtifactHandler

    ServiceArtifactHandler()

Method Detail

### ServiceArtifactHandler

    public def ServiceArtifactHandler(GriffonApplication app)

### initialize

    public void initialize(ArtifactInfo[] artifacts)

### isBasicInjectionDisabled

    private boolean isBasicInjectionDisabled()

### isEagerInstantiationEnabled

    private boolean isEagerInstantiationEnabled()

### newGriffonClassInstance

    protected GriffonClass newGriffonClassInstance(Class clazz)

### onNewInstance

    public void onNewInstance(Class klass, String t, Object instance)

  Application event listener.

  Lazily injects services instances if `app.config.griffon.basic_injection.disable` is not set to true

Groovy Documentation